Bug 1190830 - electron apps crashing clone3 syscall - probably seccomp blocked?
electron apps crashing clone3 syscall - probably seccomp blocked?
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Andreas Schneider
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-23 15:44 UTC by Marcus Rückert
Modified: 2021-09-30 13:02 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Rückert 2021-09-23 15:44:51 UTC
SIGSYS crashes until it shutsdown completely with SIGTRAP

#0  clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:62
#1  0x00007f5383599311 in __GI___clone_internal (cl_args=cl_args@entry=0x7fff9b3c3080, func=func@entry=0x7f53835148a0 <start_thread>, arg=arg@entry=0x7f5380ac5640) at ../sysdeps/unix/sysv/linux/clone-internal.c:54
#2  0x00007f53835147a5 in create_thread (pd=pd@entry=0x7f5380ac5640, attr=attr@entry=0x7fff9b3c33f0, stopped_start=stopped_start@entry=0x7fff9b3c317e, stackaddr=stackaddr@entry=0x7f53802c5000, stacksize=<optimized out>, thread_ran=thread_ran@entry=0x7fff9b3c317f) at pthread_create.c:294
#3  0x00007f53835151bb in __pthread_create_2_1 (newthread=<optimized out>, attr=<optimized out>, start_routine=<optimized out>, arg=<optimized out>) at pthread_create.c:785


Could be another seccomp problem?
Comment 1 Marcus Rückert 2021-09-23 15:45:28 UTC
This also affects vscode - which we do not control.
Comment 2 Marcus Rückert 2021-09-23 15:55:04 UTC
vscode issue:
https://github.com/microsoft/vscode/issues/133593

electron PR:
https://github.com/electron/electron/pull/31091
Comment 3 Marcus Rückert 2021-09-24 13:06:51 UTC
we will also need this fixed to be able to build 

https://github.com/electron/electron/issues/31113
Comment 4 Marcus Rückert 2021-09-30 13:02:45 UTC
Andreas and me made the package work again.